SDL_OpenUserStorage(3)

NAME
SDL_OpenUserStorage - Opens up a container for a user's unique read/write filesystem.

HEADER FILE
Defined in SDL3/SDL_storage.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Storage* SDL_OpenUserStorage(const char *org, const char *app, SDL_PropertiesID props);

DESCRIPTION
While title storage can generally be kept open throughout runtime, user storage should only be opened when the client is ready to read/write files. This allows the backend to properly batch file operations and flush them when the container has been closed; ensuring safe and optimal save I/O.

FUNCTION PARAMETERS

org the name of your organization

app the name of your application

props
    a property list that may contain backend-specific information

RETURN VALUE
Returns a user storage container on success or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_CloseStorage(3), SDL_GetStorageFileSize(3), SDL_GetStorageSpaceRemaining(3), SDL_OpenTitleStorage(3), SDL_ReadStorageFile(3), SDL_StorageReady(3), SDL_WriteStorageFile(3)